> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/ja/paburissh/exoclick-rtb/bid-request.md).

# ExoClick RTB Bidリクエスト

ExoClick RTB Bid Request は、POST では JSON、GET では URL を使用します。POST での XML リクエストは許可されていません。

## 入札リクエストヘッダー

* **ExoClick RTB バージョン HTTP ヘッダー**: `x-exadsrtb-version: 1.0`
* **Keep-Alive HTTP ヘッダー**: `Connection: Keep-Alive`
* **コンテンツ JSON**: `Content-Type: application/json`
* **データエンコーディングヘッダー**: `Accept-Encoding`

### 入札リクエストオブジェクト

| 属性                | 必須?            | 説明                                                                                                                              |
| ----------------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| `id`              | はい             | 一意の入札リクエストID（string）                                                                                                            |
| `ip`              | はい             | ユーザーの IP アドレス（文字列）                                                                                                              |
| `language`        | はい             | ISO-639-1 alpha-2 によるブラウザー言語（string）                                                                                            |
| `remove_addr`     | いいえ            | ユーザーのメイン IP アドレス（string）                                                                                                        |
| `x_forwarded_for` | いいえ            | ユーザーの X-FORWARDED-FOR IP アドレス。未設定の場合は空（string）                                                                                  |
| `type`            | はい             | リクエストタイプ。"banner"、"popunder"、"direct\_link"、"email\_click"\*、"push\_notification" または "in\_page\_push\_notification" にできます（文字列） |
| `ua`              | はい             | ブラウザーのユーザーエージェント（string）                                                                                                        |
| `url`             | はい             | 広告が表示されるページの完全な URL（string）                                                                                                     |
| `user_id`         | はい             | 一意のユーザー ID（string）                                                                                                              |
| `sub`             | いいえ            | これは6桁から10桁の数字である必要があります。Sub ID の先頭に 0 を使用しないでください。                                                                              |
| `export`          | はい             | レスポンスタイプ。"json" または "xml" にできます（文字列）                                                                                            |
| `keyword`         | いいえ            | キーワードを使用すると、広告枠に適切な種類の広告を表示できます。キーワードはカンマ区切りの単語列である必要があります。                                                                     |
| `size`            | banner\*\* に必須 | パブリッシャー広告タイプのサイズ（文字列）                                                                                                           |
| `el`              | いいえ            | Base64 でエンコードされたメールアドレス。Email Clicks と Direct Link のみで利用可能（文字列）                                                                 |

***

**注:**

* `"email_click"` タイプとして指定する必要があるのは GET リクエストのみです。
* Push リクエストでは、size が省略された場合、デフォルト値は `192x192` 後方互換性のため。
* Sub ID は 1 からの数字である必要があります [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32.maxvalue?view=net-5.0): Sub ID の先頭に 0 を使用しないでください。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/ja/paburissh/exoclick-rtb/bid-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
